GitHub 저장소를 읽을 수 없음

Moses Skoda엔지니어1분 소요

API는 이 문제가 발생하면 422 Unprocessable Content로 응답합니다. 이 오류의 type는 https://lingo.dev/docs/api/errors/github-repository-unreadable입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참고하세요.

<repository>의 기록을 가져올 수 없습니다. 이 연결에 사용되는 GitHub App 설치 항목으로는 해당 저장소를 읽을 수 없습니다. 이 연결에 속한 저장소 중 하나를 선택하거나 GitHub에서 앱에 해당 저장소에 대한 접근 권한을 부여하세요.

필드#

본문에는 표준 멤버인 type, status, title, detail 외에 다음 필드가 포함됩니다. detail 텍스트는 이 필드를 바탕으로 생성되므로 클라이언트에서 자체 문구로 대체해 표시할 수 있습니다.

필드유형
repositorystring

예시#

json
{
  "detail": "Cannot import the history of <repository>. The GitHub App installation behind this connection cannot read it. Pick one of the connection's repositories, or grant the App access to it on GitHub.",
  "repository": "<repository>",
  "type": "https://lingo.dev/docs/api/errors/github-repository-unreadable",
  "status": 422,
  "title": "GitHub repository unreadable"
}

이 오류를 반환하는 엔드포인트#

  • POST /v2/organizations/{orgId}/github/connections/{connectionId}/import-history